// warnerr.h

enum {
	warnNoWadKey,		// 0
	warnNoValidWads,	// Critical
	warnMultipleStarts,
	warnBrushDuplicatePlane,
	warnNoPlaneNormal,
	warnNoPlayerStart,	// Critical
	warnNoPlayerDeathmatch,
	warnNoPlayerCoop,
	warnPointOffPlane,
	warnNoBrushFaces,
	
	warnMapLeak,		// 10, Critical
	warnDiffModels,		// Critical
	warnPortalClippedAway,
	warnBrushNotClosed,
	warnManyVisleafs,	// Critical
	warnNotWad,
	warnTextureNotFound,
	warnInvalidOption,
	warnNoLogFile,
	warnNoFilling,		// Critical
	
	warnBadMapFaceCount,	// 20
	warnTooManyMergePoints,
	warnDegenerateEdge,
	warnNoRotateTarget,
	warnDegenerateEdge2,
	warnDegenerateQuArK,
	warnTooFewPoints,
	warnMixedFaceContents,
	warnNonPerpendicular,
	warnTooFewFaces,
	
	warnManyClipnodes,	// 30, Critical
	warnManyMarksurfaces,	// Critical
	warnManyModels,		// Critical
	warnManyPlanes,		// Critical
	warnManyNodes,		// Critical
	warnManyLeafs,		// Critical
	warnManyVertexes,	// Critical
	warnManyFaces,		// Critical
	warnManyTexinfo,	// Critical
	warnTooManyFaces,
	cWarnings
};

enum {
	errNoLeakNode,
	errUnknownOption,
	errEpairTooLong,
	errInvalidMapPlane,
	errLowFaceCount,
	errParseEntity,
	errLowEntCount,
	errUnexpectedEOF,
	errLowMiptexCount,
	errLowTexinfoCount,
	
	errBadVersion,		// 10
	errNoWindingAxis,
	errLowPointCount,
	errNoValidBrushes,
	errNoValidPlanes,
	errNoSurfaceFaces,
	errBadContents,
	errMixedFaceContents,
	errNoSurfaceFace,
	errInvalidTexture,
	
	errConcaveFace,		// 20
	errNonCanonicalVector,
	errLowBrushPlaneCount,
	errNormalization,
	errLowFacePointCount,
	errInvalidNormal,
	errLowBrushFaceCount,
	errLowHullPointCount,
	errLowHullEdgeCount,
	errFreedFace,
	
	errLowSplitPointCount,	// 30
	errInvalidVisHull,
	errBogusRange,
	errDeformedBSPLump,
	errOpenFailed,
	errReadFailure,
	errWriteFailure,
	errSeekFailure,
	errPortalAlreadyAdded,
	errPortalNotInLeaf,

	errPortalNotBoundLeaf,	// 40
	errMislinkedPortal,
	errNoPolygonSplit,
	errLowVertexCount,
	errZeroContents,
	errLowEdgeCount,
	errLowPlaneCount,
	errLowWedgeCount,
	errLowWvertCount,
	errOriginalExists,

	errInvalidMemType,	// 50
	errTooManyPoints,
	errOutOfMemory,
	errLowTextureCount,
	errLineIncomplete,
	errEOFInQuotes,
	errTokenTooLarge,
	errInvalidOption,
	errLowLeakCount,
	errTooManyNodes,

	errNoBSPExtension,	// 60
	errInvalidLeakDist,
	errInvalidSimpDist,
	errNoEntities,
	errNoClassname,
	errNoWorldBrushes,
	errMultiWorld,
	errInvalidHullExp,
	errInvalidPriority,
	errWorldNotFirst,
	
	errWadPathSize,		// 70
	errTooManyLeafs,
	errTooManyPlanes,
	errTooManyVertexes,
	errTooManyFaces,
	errTooManyMarksurfaces,
	errTooManyTexinfo,
	errInvalidEpsilon,
	errLowBrushCount,
	cErrors
};